
body {
    font-family: arial;
    margin: 0;
    padding: 0;
}

header {
    background: black;
    font-weight: bold;
    display: block;
    color: white;
}

header div {
    display: flex;
}

header img {
    height: 64px;
}

header .space {
    flex-grow: 1;
}

header .divider {
    width: 1px;
    background: linear-gradient(#000000,#888888,#888888,#000000);
}

header a {
    display: flex;
    align-items: center;
    padding: 0 20px;
    text-decoration: none;
    color: #6666FF;
}

header a:hover {
    background: #222244;
    color: #8888FF;
}

header h1 {
    margin: 0;
    padding: 0 20px 20px;
}

main {
    margin: 0;
    padding: 20px;
    background: linear-gradient(#AAAAAA,#FFFFFF 6px);
}

main .alert {
    color: red;
    font-weight: bold;
    margin-bottom: 1em;
}

section {
    margin: 0;
    padding: 20px;
}

main p {
    padding: 0;
    margin: 0 0 1em;
}

main a {
    text-decoration: none;
    color: #4444FF;
}

main a:hover {
    text-decoration: underline;
    color: #6666FF;
}

main table {
/*    border-collapse: collapse;*/
    border-spacing: 0;
    margin: 0 0 1em;
}

main tr:first-child th {
    padding-top: 5px;
    color: #2795b0;
}

main tr:first-child th:first-child {
    border-top-left-radius: 10px;
}

main tr:first-child th:last-child {
    border-top-right-radius: 10px;
}

main tr:last-child td:first-child {
    border-bottom-left-radius: 10px;
}

main tr:last-child td:last-child {
    border-bottom-right-radius: 10px;
}

main th, main td {
    text-align: center;
    padding: 2px 10px;
    border-right: 1px solid black;
    border-bottom: 1px solid black;
}

main th:first-child, main td:first-child {
    border-left: 1px solid black;
}

main td:first-child {
    text-align: left;
}

main th {
    background: black;
    color: white;
}

main th a {
    display: block;
    color: #6666FF;
    margin-right: 1em;
}

main th button {
    font-weight: bold;
    color: #FF66FF;
    background: #666666;
    border: none;
    box-shadow: none;
    border-radius: 5px;
    margin-right: 1em;
}

main th ul {
    display: flex;
    list-style: none;
    justify-content: space-between;
    padding: 0;
    margin: 0;
}

main .layout td, main .layout th {
    border: none;
    text-align: left;
}

input::-webkit-outer-spin-button, input::-webkit-inner-spin-button {
    -moz-appearance: none;
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
    -webkit-appearance: textfield;
}

input[type="submit"] {
    margin: 10px 0;
    padding: 10px 20px;
}
